package com.ssj.service.sys.fx.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.sys.fx.domain.Merchant;
import com.ssj.bean.sys.fx.domain.MerchantSign;
import com.ssj.framework.core.common.service.BaseService;

public interface MerchantSignService extends BaseService<MerchantSign, String> {
	
	//fx_merchant_sign和加油包过期的定时任务。
	void runMerchantSignByEndTime();

	//同步套餐人数，商户表 -> 机构表。
	void syncMerchantByLibJoin(Merchant merchant);
	
	//开通套餐加油包，添加数据到MerchantSign，增量Merchant，同步套餐人数机构表
	void insertMerchantSignAndSync(String merchantId,Integer signType,Integer num);
	
	//查出商户有效的加油包
	List<MerchantSign> findMerchantSignByMerchantId(String merchantId,Integer status);
	
	//加油包明细列表
	Page<Map<String, Object>> findMerchantSignByPage(Map<String, Object> params, Pageable initPage);

}
